[pacman-dev] [PATCH 1/2] makepkg: fix regression in split package function checking
Andres P
aepd87 at gmail.com
Mon Jun 21 12:55:37 EDT 2010
Commit 13748ca0529 inversed the nature of one test wherein the if clause would
throw a fatal error if a legitimate package function was defined in PKGBUILD.
Signed-off-by: Andres P <aepd87 at gmail.com>
---
scripts/makepkg.sh.in | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index dbc4047..f2ec78e 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1255,7 +1255,7 @@ check_sanity() {
if (( ${#pkgname[@]} > 1 )); then
for pkg in ${pkgname[@]}; do
- if declare -f package_${pkg} >/dev/null; then
+ if ! declare -f package_${pkg} >/dev/null; then
error "$(gettext "missing package function for split package '%s'")" "$pkg"
return 1
fi
--
1.7.1
More information about the pacman-dev
mailing list